/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/

#include "gdamsynthplucked.h"

static void gdam_synth_plucked_init(GdamSynthPlucked* synth_plucked)
{
}
static void gdam_synth_plucked_class_init(GdamSynthPluckedClass* synth_plucked_class)
{
}

GtkType gdam_synth_plucked_get_type()
{
	static GtkType synth_plucked_type = 0;
	if (!synth_plucked_type) {
		static const GtkTypeInfo synth_plucked_info = {
			"GdamSynthPlucked",
			sizeof(GdamSynthPlucked),
			sizeof(GdamSynthPluckedClass),
			(GtkClassInitFunc) gdam_synth_plucked_class_init,
			(GtkObjectInitFunc) gdam_synth_plucked_init,
			/* reserved_1*/ NULL,
			/* reserved_2*/ NULL,
			(GtkClassInitFunc) NULL
		};
		synth_plucked_type = gtk_type_unique(GDAM_TYPE_SYNTH_SOURCE,
		                                     &synth_plucked_info);
	}
	return synth_plucked_type;
}
